Bug 1652695 - Bose QuiteComfort 35 Bluetooth Headset is pairing but not connecting
Summary: Bose QuiteComfort 35 Bluetooth Headset is pairing but not connecting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 15:49 UTC by Thilo
Modified: 2019-11-27 19:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:59:55 UTC


Attachments (Terms of Use)

Description Thilo 2018-11-22 15:49:40 UTC
Description of problem:
A Bose QuiteComfort 35 Bluetooth Headset doesn't get connected via bluetooth on a Lenovo W540 after the upgrade to fc29. While connecting with bluetoothctl or the gnome gui the following error appears:

$sudo systemctl status bluetooth
bluetooth.service - Bluetooth service
   Loaded: loaded (/usr/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2018-11-21 14:35:49 CET; 1 day 1h ago
     Docs: man:bluetoothd(8)
 Main PID: 1202 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 4915)
   Memory: 3.1M
   CGroup: /system.slice/bluetooth.service
           └─1202 /usr/libexec/bluetooth/bluetoothd

Nov 21 14:35:49  systemd[1]: Starting Bluetooth service...
Nov 21 14:35:49  bluetoothd[1202]: Bluetooth daemon 5.50
Nov 21 14:35:49  bluetoothd[1202]: Starting SDP server
Nov 21 14:35:49  systemd[1]: Started Bluetooth service.
Nov 21 14:35:49  bluetoothd[1202]: Bluetooth management interface 1.14 initialized
Nov 21 14:38:43  bluetoothd[1202]: a2dp-sink profile connect failed for 2C:41:A1:C7:F9:9B: Protocol not available
Nov 21 14:39:06  bluetoothd[1202]: a2dp-sink profile connect failed for 2C:41:A1:C7:F9:9B: Protocol not available

Other devices (logitech bluetooth mouse MX Anywhere 25) running without problem.

Version-Release number of selected component (if applicable):
Linux 4.19.2-300.fc29.x86_64
bluetoothctl: 5.50
GNOME Version 3.30.2
pulseaudio 12.2-rebootstrapped
bluez-5.50-3.fc29.x86_64

How reproducible:
always

Steps to Reproduce:
1. switch on headset in pairing mode
2. start gnome settings/bluetooth
3. click on device, it will pair but immediately disconnect
4. doing the same with bluetoothctl (pair, trust, connect) results in the error message: Failed to connect: org.bluez.Error.Failed

Actual results:
no connection no sound

Expected results:
connection and sound

Additional info:
it worked with fc28

Comment 1 Ben Cotton 2019-10-31 20:28:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 19:59:55 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.